/*
 *
 *   (C) Copyright IBM Corp. 2001, 2003
 *
 *   This program is free software;  you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY;  without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See
 *   the GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with this program;  if not, write to the Free Software
 *   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 *
 * Module: support.h
 */

#ifndef EVMSGUI_SUPPORT_H_INCLUDED
#define EVMSGUI_SUPPORT_H_INCLUDED 1

#define SUCCESS 0
#define MAX_HOSTNAME 255

GtkWidget *lookup_widget(GtkWidget * widget, const gchar * widget_name);

void on_button_clicked_destroy_window(GtkButton * button, gpointer user_data);

void display_not_implemented_yet_popup(void);

void display_popup_window(gchar * title, gchar * message);

void display_help_window(GtkWindow * parent, gchar * text);

inline GList *get_window_list(GtkWidget * widget);

inline void set_window_list(GtkWidget * widget, GList * window_list);

inline void destroy_window_list(GList * window_list);

void complete_display_results_window_work(GtkWidget * window, gchar * message, GList * window_list,
					  gboolean refresh_views);

GtkWidget *display_results_window(gint rc, gchar * title, gchar * message, GList * window_list,
				  gboolean refresh_views, GtkWidget * parent_window);

gboolean editable_field_is_blank(GtkEditable * editable);

gboolean check_for_empty_list_when_exposed(GtkCList * clist, GdkEventExpose * event,
					   gpointer user_data);

void replace_next_button_hbox_with_label(GtkWidget * next_button, const gchar * text);

GtkWidget *create_standard_selection_window(gchar * window_title,
					    gchar * next_button_label,
					    gchar * help_text,
					    GtkSignalFunc clist_realize_sighandler,
					    GtkSignalFunc next_button_sighandler,
					    GtkSignalFunc prev_button_sighandler,
					    GtkSignalFunc cancel_button_sighandler,
					    GtkSignalFunc clist_row_select_sighandler,
					    GtkSignalFunc clist_row_unselect_sighandler,
					    gpointer user_data);

void display_selection_window_results(GtkWidget * widget, gint rc, gchar * error_msg,
				      gchar * success_msg);

inline void set_main_window_id(GtkWidget * widget);

inline GtkWidget *get_main_window_id(void);

inline void set_status_bar_id(GtkWidget * widget);

inline GtkWidget *get_status_bar_id(void);

inline void set_menu_bar_id(GtkWidget * widget);

inline GtkWidget *get_menu_bar_id(void);

inline void set_progress_bar_id(GtkWidget * widget);

inline GtkWidget *get_progress_bar_id(void);

inline void set_button_toolbar_id(GtkWidget * widget);

inline GtkWidget *get_button_toolbar_id(void);

inline void set_status_bar_message(const gchar * message);

inline void remove_status_bar_message(void);

gpointer get_single_select_current_row_data(GtkCList * clist);

GSList *get_clist_selection_data(GtkCList * clist);

void on_clist_realize_add_single_selection(GtkCList * clist, gpointer user_data);

void on_button_clicked_display_prev_window(GtkButton * button, gpointer user_data);

void on_button_clicked_destroy_window_list(GtkButton * button, gpointer user_data);

void on_version_label_realize(GtkWidget * widget, gpointer user_data);

void on_readonly_clist_select_row(GtkCList * clist, gint row, gint column,
				  GdkEventButton * event, gpointer user_data);

inline void destroy_slist(GSList * list);

gboolean update_statusbar_message(GtkWidget * widget, GdkEventCrossing * event, gpointer user_data);

gboolean on_menu_item_focus_event(GtkWidget * widget, GdkEventFocus * event, gpointer user_data);

void set_selection_window_clist_column_titles(GtkCList * clist, gchar * size_col_text,
					      gchar * desc_col_text, gchar * minmax_col_text);

GtkWidget *create_pixmap(GtkWidget * widget, const gchar * name);

inline void add_pixmap_label_to_button(GtkWidget * button, GdkPixmap * pixmap, GdkBitmap * mask,
				       const gchar * text, GtkAccelGroup * accel_group);

inline void adjust_clist_column_width(GtkCList * clist, gint column, gint delta);

inline void set_clist_row_color(GtkCList * clist, gint row, gboolean alternate);

inline void set_ctree_node_color(GtkCTree * ctree, GtkCTreeNode * node, gboolean alternate);

inline gint clist_append_row(GtkCList * clist, gchar ** text);

inline void set_all_ctree_node_colors(GtkCTree * ctree);

inline void set_widget_foreground_color(GtkWidget * widget, gchar * color_string);

void set_main_window_title(GtkWindow * window, gchar * node_name);

void display_results_and_exit(gint rc, gchar * title, gchar * message, GList * window_list,
			      gboolean refresh_views, GtkWidget * parent_window);
#endif
